### Enumeration

# EBookContacts PhoneNumberError

since: 3.8

#### Declaration

    error-domain EBookContacts.PhoneNumberError

#### Description [src]

Numeric description of a phone number related error.

Available since: 3.8

#### Members

`E_PHONE_NUMBER_ERROR_NOT_IMPLEMENTED`

  The library was built without phone number support.

  - Value: `0`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_UNKNOWN`

  The phone number parser reported a yet unknown error code.

  - Value: `1`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_NOT_A_NUMBER`

  The supplied text is not a phone number.

  - Value: `2`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_INVALID_COUNTRY_CODE`

  The supplied phone number has an invalid country calling code.

  - Value: `3`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_TOO_SHORT_AFTER_IDD`

  The remaining text after the country calling code is to short for a phone number.

  - Value: `4`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_TOO_SHORT`

  The text is too short for a phone number.

  - Value: `5`
  - Available since: 3.8
`E_PHONE_NUMBER_ERROR_TOO_LONG`

  The text is too long for a phone number.

  - Value: `6`
  - Available since: 3.8